fribidi_get_bracket_types(3)

NAME
fribidi_get_bracket_types - get bracketed characters

SYNOPSIS
#include <../fribidi/lib/fribidi.h>

void fribidi_get_bracket_types
(
    const FriBidiChar *str,
    const FriBidiStrIndex len,
    const FriBidiCharType *types,
    FriBidiBracketType *btypes
);

PARAMETERS

const FriBidiChar *str
    Input string.

const FriBidiStrIndex len
    Input string length.

const FriBidiCharType *types
    Input bidi types.

    Since there are 23 possible values for a const FriBidiCharType, they are not all listed here.

FriBidiBracketType *btypes
    Output bracketed characters.

DESCRIPTION
This function finds the bracketed characters of an string of characters. See fribidi_get_bracket() for more information about the bracketed characters returned by this function.

SEE ALSO
fribidi_shape_arabic(3), fribidi_get_par_direction(3), fribidi_get_par_embedding_levels_ex(3), fribidi_reorder_line(3), fribidi_get_bidi_type(3), fribidi_get_bidi_types(3), fribidi_get_bidi_type_name(3), fribidi_charset_to_unicode(3), fribidi_unicode_to_charset(3), fribidi_parse_charset(3), fribidi_debug_status(3), fribidi_set_debug(3), fribidi_mirroring_status(3), fribidi_set_mirroring(3), fribidi_reorder_nsm_status(3), fribidi_set_reorder_nsm(3), fribidi_log2vis_get_embedding_levels(3), fribidi_get_type(3), fribidi_get_type_internal(3), fribidi_get_par_embedding_levels(3), fribidi_join_arabic(3), fribidi_get_joining_type(3), fribidi_get_joining_types(3), fribidi_get_joining_type_name(3), fribidi_get_mirror_char(3), fribidi_shape_mirroring(3), fribidi_get_bracket(3), fribidi_shape(3), fribidi_remove_bidi_marks(3), fribidi_log2vis(3)